<template>
    <el-dialog
        title="驳回理由"
        :visible.sync="visible"
        width="600px"
        :before-close="handleClose"
        top="8vh"
    >
        <el-form ref="rejectForm" :model="rejectForm" label-width="80px" :rules="rules">
            <!-- <el-row v-if="rejectType == 'manage'">
                <el-col :span="24">
                    <el-form-item label="整改人" prop="rectifierId">
                        <el-select
                            v-model="rejectForm.rectifierId"
                            placeholder="请选择整改人"
                            style="width: 100%"
                            @change="handleRectifierChange"
                        >
                            <el-option
                                v-for="item in userList"
                                :key="item.id"
                                :label="item.fullname"
                                :value="item.id"
                            ></el-option>
                        </el-select>
                    </el-form-item>
                </el-col>
            </el-row> -->
            <el-row>
                <el-col :span="24">
                    <el-form-item label="驳回理由" prop="rejectReason">
                        <el-input
                            type="textarea"
                            v-model="rejectForm.rejectReason"
                            placeholder="请输入驳回理由"
                            clearable
                        />
                    </el-form-item>
                </el-col>
            </el-row>
        </el-form>
        <div slot="footer" class="dialog-footer">
            <el-button @click="handleClose">取 消</el-button>
            <el-button type="primary" @click="handleSubmit">确定</el-button>
        </div>
    </el-dialog>
</template>
<script>
export default {
    name: 'QualitProcessReject',
    data() {
        return {
            visible: false,
            loading: false,
            rejectForm: {
                id: '',
                rejectReason: '',
                rectifierAccount: '',
                rectifierId: '',
                rectifierName: '',
                status: 0,
            },
            rules: {
                rejectReason: {
                    required: true,
                    message: '请输入整改理由',
                    trigger: 'change',
                },
                rectifierId: {
                    required: true,
                    message: '请选择整改人',
                    trigger: 'change',
                },
            },
            manageURL: '${yhxt}/bizRectificationCommon/v1/approve', //管理中心审核
            operateURL: '${yhxt}/bizProjectManageQuality/v1/operation/approve', //分公司审核
            rejectUrl: '',
            userList: [],
            rejectType: '',
        }
    },
    mounted() {
        this.getUsers()
    },
    methods: {
        handleRectifierChange(id) {
            let temp = this.userList.filter((item) => item.id == id)[0]
            this.rejectForm.rectifierName = temp.fullname
            this.rejectForm.rectifierAccount = temp.account
        },
        getUsers() {
            this.$http
                .get('${yhxt}/bizRectificationCommon/v1/users/getUnderUsersByUserNow')
                .then((res) => {
                    console.log(res, '人员')
                    this.userList = res.status && res.data
                })
        },
        handleOpen(row, type, pageType) {
            this.rejectType = type
            this.rejectUrl = this[`${type}URL`]
            this.visible = true
            this.rejectForm.id = row.id
            this.rejectForm.type = pageType
        },
        handleClose() {
            this.visible = false
            this.rejectForm = {
                id: '',
                rejectReason: '',
                rectifierAccount: '',
                rectifierId: '',
                rectifierName: '',
                status: 0,
            }
            this.rejectUrl = ''
            this.rejectType = ''
        },
        handleSubmit() {
            this.$refs.rejectForm.validate((bool) => {
                if (bool) {
                    this.$confirm('确定发起整改吗？', '提示', {
                        confirmButtonText: '确定',
                        cancelButtonText: '取消',
                        type: 'warning',
                    }).then(() => {
                        this.$http.post(this.rejectUrl, this.rejectForm).then((res) => {
                            this.$emit('reload')
                            this.visible = false
                            if (res.state) {
                                this.$message({
                                    message: '发起整改成功',
                                    type: 'success',
                                })
                            }
                        })
                    })
                }
            })
        },
    },
}
</script>
<style></style>